## ablog 0.11.12

=== Makefile ===
.PHONY: demo rebuild tests

demo:
	rm -rf demo && mkdir demo
	printf "demo\nABlog\nABlog Team\nhttps://ablog.readthedocs.io/" | ablog start

rebuild:
	cd docs; watchmedo shell-command --patterns='*.rst' --command='ablog build' --recursive

test:
	set -e; cd docs; git clean -xfd; ablog build -T -W; git clean -xfd; cd ..

test1:
	set -e; cd docs; git clean -xfd; ablog build -T -W -b json; git clean -xfd; cd ..

test2:
	set -e; cd docs; git clean -xfd; ablog build -T -W -b pickle; git clean -xfd; cd ..

test3:
	set -e; mkdir -p test; cd test; git clean -xfd; printf "\nABlog\nABlog Team\nhttps://ablog.readthedocs.io/" | ablog start; ablog build -W; cd ..; rm -rf test

test4:
	set -e; mkdir -p testablog; cd testablog; git clean -xfd; printf "\nABlog\nABlog Team\nhttps://ablog.readthedocs.io/" | ablog start; ablog build -W; cd ..; rm -rf testablog

test5:
	set -e; cd docs; git clean -xfd; ablog build -W -b latex -T -d .doctrees -w _latex; git clean -xfd; cd ..

tests: test test1 test2 test3 test4 test5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -v
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
ablog (0.11.12-4) sid; urgency=medium

  * Correcting vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Feb 2025 04:37:27 +0100

ablog (0.11.12-3) sid; urgency=medium

  * Adding vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Feb 2025 17:47:34 +0100

ablog (0.11.12-2) sid; urgency=medium

  * Updating email adress in debian packaging.
  * Updating year in debian copyright for 2025.
  * Using codename instead of suitname in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Feb 2025 17:17:30 +0100

ablog (0.11.12-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Dec 2024 11:57:41 +0100

=== debian/control ===
Source: ablog
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-dateutil <!nocheck>,
 python3-feedgen <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/sunpy/ablog/
Vcs-Browser: https://forgejo.debian.net/python/ablog
Vcs-Git: https://forgejo.debian.net/python/ablog

Package: python3-sphinx-ablog
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: blogging with Sphinx
 ABlog is a Sphinx extension that converts any sphinx project into a
 full-fledged blog.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ablog

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

override_dh_auto_test:
	# disabled: needs fixes upstream

execute_after_dh_auto_install:
	# removing unused files
	rm -rf debian/python3-sphinx-ablog/usr/lib/python3/dist-packages/ablog/tests

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/identify-$1\.tar\.gz/ \
https://github.com/sunpy/ablog/tags .*/v?(\d\S+)\.tar\.gz

## ablog 0.11.13

=== debian/changelog ===
ablog (0.11.13-1) sid; urgency=medium

  * Merging upstream version 0.11.13.
  * Removing sphinx-9.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Thu, 22 Jan 2026 20:25:40 +0100

ablog (0.11.12-13) sid; urgency=medium

  * Improving cosmetics in sphinx-9.patch.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 Jan 2026 12:33:13 +0100

ablog (0.11.12-12) sid; urgency=medium

  * Adding forward-compatibility for sphinx 9.

 -- Daniel Baumann <daniel@debian.org>  Thu, 01 Jan 2026 09:07:07 +0100

ablog (0.11.12-11) sid; urgency=medium

  * Correcting order of datafiles moving in rules.
  * Aborting on shell errors in rules.
  * Manually copying files to workaround weird build issue with
    setuptools-scm.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Dec 2025 10:36:00 +0100

ablog (0.11.12-10) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Using python3-setuptools-scm instead of python3-setuptools for proper
    automatic module versioning.

 -- Daniel Baumann <daniel@debian.org>  Sun, 28 Dec 2025 12:03:17 +0100

ablog (0.11.12-9) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Manually moving data files before symlinking due to toolchain changes.
  * Updating removal of unwanted files in rules due to toolchain changes.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 19:42:15 +0100

ablog (0.11.12-8) sid; urgency=medium

  * Adding upstream metadata.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:45:53 +0200

ablog (0.11.12-7) experimental; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Fri, 16 May 2025 20:50:38 +0200

ablog (0.11.12-6) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:57:49 +0200

ablog (0.11.12-5) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Adding missing build-depends to python3-setuptools (Closes: #1100191).

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Mar 2025 07:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  python3-dateutil <!nocheck>,
  python3-feedgen <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-setuptools-scm,
  python3-sphinx <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/sunpy/ablog/
-Vcs-Browser: https://forgejo.debian.net/python/ablog
-Vcs-Git: https://forgejo.debian.net/python/ablog
+Vcs-Browser: https://forgejo.debian.net/sphinx/ablog
+Vcs-Git: https://forgejo.debian.net/sphinx/ablog
 
 Package: python3-sphinx-ablog
 Section: python

=== debian/watch ===
Version: 5

Template: Github
Owner: sunpy
Project: @PACKAGE@

## ablog 24may2005

=== Makefile ===
BINDIR =	/usr/local/bin
MANDIR =	/usr/local/man/man1

all:		

install:	all
	rm -f ${BINDIR}/ablog ${BINDIR}/ablog_init ${BINDIR}/ablog_item
	cp ablog ${BINDIR}/ablog
	cp ablog_init ${BINDIR}/ablog_init
	cp ablog_item ${BINDIR}/ablog_item
	rm -f ${MANDIR}/ablog.1 ${MANDIR}/ablog_init.1 ${MANDIR}/ablog_item.1
	cp ablog.1 ${MANDIR}/ablog.1
	ln ${MANDIR}/ablog.1 ${MANDIR}/ablog_init.1
	ln ${MANDIR}/ablog.1 ${MANDIR}/ablog_item.1

clean:
	rm -f *.o core
